## EogImage

EogImage

## Synopsis

    enum                EogImageData;
    #define             EOG_IMAGE_DATA_ALL
    enum                EogImageError;
    #define             EOG_IMAGE_ERROR
    enum                EogImageStatus;
                        EogImage;
    GQuark              eog_image_error_quark               (void);
    EogImage *          eog_image_new                       (const char *txt_uri);
    EogImage *          eog_image_new_file                  (GFile *file);
    gboolean            eog_image_load                      (EogImage *img,
                                                             EogImageData data2read,
                                                             EogJob *job,
                                                             GError **error);
    void                eog_image_cancel_load               (EogImage *img);
    gboolean            eog_image_has_data                  (EogImage *img,
                                                             EogImageData data);
    void                eog_image_data_ref                  (EogImage *img);
    void                eog_image_data_unref                (EogImage *img);
    void                eog_image_set_thumbnail             (EogImage *img,
                                                             GdkPixbuf *pixbuf);
    gboolean            eog_image_save_as_by_info           (EogImage *img,
                                                             EogImageSaveInfo *source,
                                                             EogImageSaveInfo *target,
                                                             GError **error);
    gboolean            eog_image_save_by_info              (EogImage *img,
                                                             EogImageSaveInfo *source,
                                                             GError **error);
    GdkPixbuf*          eog_image_get_pixbuf                (EogImage *img);
    GdkPixbuf*          eog_image_get_thumbnail             (EogImage *img);
    void                eog_image_get_size                  (EogImage *img,
                                                             gint *width,
                                                             gint *height);
    goffset             eog_image_get_bytes                 (EogImage *img);
    gboolean            eog_image_is_modified               (EogImage *img);
    void                eog_image_modified                  (EogImage *img);
    const gchar*        eog_image_get_caption               (EogImage *img);
    const gchar *       eog_image_get_collate_key           (EogImage *img);
    gpointer            eog_image_get_exif_info             (EogImage *img);
    gpointer            eog_image_get_xmp_info              (EogImage *img);
    GFile*              eog_image_get_file                  (EogImage *img);
    gchar*              eog_image_get_uri_for_display       (EogImage *img);
    EogImageStatus      eog_image_get_status                (EogImage *img);
    void                eog_image_transform                 (EogImage *img,
                                                             EogTransform *trans,
                                                             EogJob *job);
    void                eog_image_autorotate                (EogImage *img);
    cmsHPROFILE         eog_image_get_profile               (EogImage *img);
    void                eog_image_apply_display_profile     (EogImage *img,
                                                             cmsHPROFILE display_profile);
    void                eog_image_undo                      (EogImage *img);
    GList *             eog_image_get_supported_mime_types  (void);
    gboolean            eog_image_is_supported_mime_type    (const char *mime_type);

## Object Hierarchy

      GObject
       +----EogImage

## Signals

      "changed"                                        : Run Last
      "next-frame"                                     : Run Last
      "save-progress"                                  : Run Last
      "size-prepared"                                  : Run Last
      "thumbnail-changed"                              : Run Last

## Description

## Details

### enum EogImageData

    typedef enum {
    	EOG_IMAGE_DATA_IMAGE     = 1 << 0,
    	EOG_IMAGE_DATA_DIMENSION = 1 << 1,
    	EOG_IMAGE_DATA_EXIF      = 1 << 2,
    	EOG_IMAGE_DATA_XMP       = 1 << 3
    } EogImageData;

### EOG_IMAGE_DATA_ALL

    #define             EOG_IMAGE_DATA_ALL

### enum EogImageError

    typedef enum {
    	EOG_IMAGE_ERROR_SAVE_NOT_LOCAL,
    	EOG_IMAGE_ERROR_NOT_LOADED,
    	EOG_IMAGE_ERROR_VFS,
    	EOG_IMAGE_ERROR_FILE_EXISTS,
    	EOG_IMAGE_ERROR_TMP_FILE_FAILED,
    	EOG_IMAGE_ERROR_GENERIC,
    	EOG_IMAGE_ERROR_UNKNOWN
    } EogImageError;

### EOG_IMAGE_ERROR

    #define EOG_IMAGE_ERROR eog_image_error_quark ()

### enum EogImageStatus

    typedef enum {
    	EOG_IMAGE_STATUS_UNKNOWN,
    	EOG_IMAGE_STATUS_LOADING,
    	EOG_IMAGE_STATUS_LOADED,
    	EOG_IMAGE_STATUS_SAVING,
    	EOG_IMAGE_STATUS_FAILED
    } EogImageStatus;

### EogImage

    typedef struct _EogImage EogImage;

### eog_image_error_quark ()

    GQuark              eog_image_error_quark               (void);

Returns : |

### eog_image_new ()

    EogImage *          eog_image_new                       (const char *txt_uri);

`txt_uri` : |
Returns : |

### eog_image_new_file ()

    EogImage *          eog_image_new_file                  (GFile *file);

`file` : |
Returns : |

### eog_image_load ()

    gboolean            eog_image_load                      (EogImage *img,
                                                             EogImageData data2read,
                                                             EogJob *job,
                                                             GError **error);

`img` : |
`data2read` : |
`job` : |
`error` : |
Returns : |

### eog_image_cancel_load ()

    void                eog_image_cancel_load               (EogImage *img);

`img` : |

### eog_image_has_data ()

    gboolean            eog_image_has_data                  (EogImage *img,
                                                             EogImageData data);

`img` : |
`data` : |
Returns : |

### eog_image_data_ref ()

    void                eog_image_data_ref                  (EogImage *img);

`img` : |

### eog_image_data_unref ()

    void                eog_image_data_unref                (EogImage *img);

`img` : |

### eog_image_set_thumbnail ()

    void                eog_image_set_thumbnail             (EogImage *img,
                                                             GdkPixbuf *pixbuf);

`img` : |
`pixbuf` : |

### eog_image_save_as_by_info ()

    gboolean            eog_image_save_as_by_info           (EogImage *img,
                                                             EogImageSaveInfo *source,
                                                             EogImageSaveInfo *target,
                                                             GError **error);

`img` : |
`source` : |
`target` : |
`error` : |
Returns : |

### eog_image_save_by_info ()

    gboolean            eog_image_save_by_info              (EogImage *img,
                                                             EogImageSaveInfo *source,
                                                             GError **error);

`img` : |
`source` : |
`error` : |
Returns : |

### eog_image_get_pixbuf ()

    GdkPixbuf*          eog_image_get_pixbuf                (EogImage *img);

`img` : |
Returns : |

### eog_image_get_thumbnail ()

    GdkPixbuf*          eog_image_get_thumbnail             (EogImage *img);

`img` : |
Returns : |

### eog_image_get_size ()

    void                eog_image_get_size                  (EogImage *img,
                                                             gint *width,
                                                             gint *height);

`img` : |
`width` : |
`height` : |

### eog_image_get_bytes ()

    goffset             eog_image_get_bytes                 (EogImage *img);

`img` : |
Returns : |

### eog_image_is_modified ()

    gboolean            eog_image_is_modified               (EogImage *img);

`img` : |
Returns : |

### eog_image_modified ()

    void                eog_image_modified                  (EogImage *img);

`img` : |

### eog_image_get_caption ()

    const gchar*        eog_image_get_caption               (EogImage *img);

`img` : |
Returns : |

### eog_image_get_collate_key ()

    const gchar *       eog_image_get_collate_key           (EogImage *img);

`img` : |
Returns : |

### eog_image_get_exif_info ()

    gpointer            eog_image_get_exif_info             (EogImage *img);

`img` : |
Returns : |

### eog_image_get_xmp_info ()

    gpointer            eog_image_get_xmp_info              (EogImage *img);

`img` : |
Returns : |

### eog_image_get_file ()

    GFile*              eog_image_get_file                  (EogImage *img);

`img` : |
Returns : |

### eog_image_get_uri_for_display ()

    gchar*              eog_image_get_uri_for_display       (EogImage *img);

`img` : |
Returns : |

### eog_image_get_status ()

    EogImageStatus      eog_image_get_status                (EogImage *img);

`img` : |
Returns : |

### eog_image_transform ()

    void                eog_image_transform                 (EogImage *img,
                                                             EogTransform *trans,
                                                             EogJob *job);

`img` : |
`trans` : |
`job` : |

### eog_image_autorotate ()

    void                eog_image_autorotate                (EogImage *img);

`img` : |

### eog_image_get_profile ()

    cmsHPROFILE         eog_image_get_profile               (EogImage *img);

`img` : |
Returns : |

### eog_image_apply_display_profile ()

    void                eog_image_apply_display_profile     (EogImage *img,
                                                             cmsHPROFILE display_profile);

`img` : |
`display_profile` : |

### eog_image_undo ()

    void                eog_image_undo                      (EogImage *img);

`img` : |

### eog_image_get_supported_mime_types ()

    GList *             eog_image_get_supported_mime_types  (void);

Returns : |

### eog_image_is_supported_mime_type ()

    gboolean            eog_image_is_supported_mime_type    (const char *mime_type);

`mime_type` : |
Returns : |

## Signal Details

### The `"changed"` signal

    void                user_function                      (EogImage *eogimage,
                                                            gpointer  user_data)      : Run Last

`eogimage` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"next-frame"` signal

    void                user_function                      (EogImage *img,
                                                            gint      delay,
                                                            gpointer  user_data)      : Run Last

The ::next-frame signal will be emitted each time an animated image advances to the next frame.

`img` : | the object which received the signal.
`delay` : | number of milliseconds the current frame will be displayed.
`user_data` : | user data set when the signal handler was connected.

### The `"save-progress"` signal

    void                user_function                      (EogImage *eogimage,
                                                            gfloat    arg1,
                                                            gpointer  user_data)      : Run Last

`eogimage` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"size-prepared"` signal

    void                user_function                      (EogImage *eogimage,
                                                            gint      arg1,
                                                            gint      arg2,
                                                            gpointer  user_data)      : Run Last

`eogimage` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The `"thumbnail-changed"` signal

    void                user_function                      (EogImage *eogimage,
                                                            gpointer  user_data)      : Run Last

`eogimage` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.